如何在Raspberry Pi上安装最新版本的node.js?

我想在Raspberry Pi 3上安装最新的稳定版本的Node.js。我该如何做到这一点:a)我总是能够更新到最新的LTS版本b)可以在版本之间轻松切换

       

网上收集的解决方案 "如何在Raspberry Pi上安装最新版本的node.js?"

Node版本pipe理器工作得很好,即使是基于ARM的处理器(如Raspberry Pi)也是如此。

您需要删除在Raspbian上安装的现有节点版本(如果您使用的是此发行版):

删除旧的:

sudo -i apt-get remove nodered -y apt-get remove nodejs nodejs-legacy -y exit 

安装n(它也将安装最新的稳定的Node.js):

curl -L https://git.io/n-install | bash

校验:

 pi@raspberrypi:~ $ node --version nv7.6.0 pi@raspberrypi:~ $ npm --version 4.1.2